# class ActionDispatch::ParamsParser

### Constants

DEFAULT_PARSERS

### Public Class Methods

new(app, parsers = {}) click to toggle source

    # File lib/action_dispatch/middleware/params_parser.rb, line 12
    def initialize(app, parsers = {})
      @app, @parsers = app, DEFAULT_PARSERS.merge(parsers)
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/action_dispatch/middleware/params_parser.rb, line 16
    def call(env)
      if params = parse_formatted_parameters(env)
        env["action_dispatch.request.request_parameters"] = params
      end

      @app.call(env)
    end